import React from 'react';
export type ImgProps = Omit<React.DetailedHTMLProps<React.ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>, 'src'> & {
    readonly maxRetries?: number;
    readonly pauseWhenLoading?: boolean;
    readonly delayRenderRetries?: number;
    readonly delayRenderTimeoutInMilliseconds?: number;
    readonly onImageFrame?: (imgelement: HTMLImageElement) => void;
    readonly src: string;
};
/**
 * @description Works just like a regular HTML img tag. When you use the <Img> tag, Remotion will ensure that the image is loaded before rendering the frame.
 * @see [Documentation](https://www.remotion.dev/docs/img)
 */
export declare const Img: React.ForwardRefExoticComponent<Omit<ImgProps, "ref"> & React.RefAttributes<HTMLImageElement>>;
