import type { VolumeProp } from '../volume-prop.js';
import type { LoopVolumeCurveBehavior } from './use-audio-frame.js';
export type RemotionMainAudioProps = {
    startFrom?: number;
    endAt?: number;
};
export type RemotionAudioProps = Omit<React.DetailedHTMLProps<React.AudioHTMLAttributes<HTMLAudioElement>, HTMLAudioElement>, 'autoPlay' | 'controls' | 'onEnded' | 'nonce' | 'onResize' | 'onResizeCapture'> & {
    name?: string;
    volume?: VolumeProp;
    playbackRate?: number;
    acceptableTimeShiftInSeconds?: number;
    allowAmplificationDuringRender?: boolean;
    _remotionInternalNeedsDurationCalculation?: boolean;
    _remotionInternalNativeLoopPassed?: boolean;
    _remotionDebugSeeking?: boolean;
    toneFrequency?: number;
    pauseWhenBuffering?: boolean;
    showInTimeline?: boolean;
    delayRenderTimeoutInMilliseconds?: number;
    delayRenderRetries?: number;
    loopVolumeCurveBehavior?: LoopVolumeCurveBehavior;
};
