import type { ENABLE_V5_BREAKING_CHANGES } from '../v5-flag.js';
import type { SpringConfig } from './spring-utils';
type V4Props = {
    from?: number;
    to?: number;
};
type MeasureSpringProps = {
    fps: number;
    config?: Partial<SpringConfig>;
    threshold?: number;
} & (false extends typeof ENABLE_V5_BREAKING_CHANGES ? V4Props : {});
/**
 * @description The function returns how long it takes for a spring animation to settle
 * @see [Documentation](https://www.remotion.dev/docs/measure-spring)
 */
export declare function measureSpring({ fps, config, threshold, }: MeasureSpringProps): number;
export {};
