import React from 'react';
export type CurrentScaleContextType = {
    type: 'scale';
    scale: number;
} | {
    type: 'canvas-size';
    canvasSize: {
        width: number;
        height: number;
    };
};
export declare const CurrentScaleContext: React.Context<CurrentScaleContextType | null>;
type Options = {
    dontThrowIfOutsideOfRemotion: boolean;
};
export type Translation = {
    x: number;
    y: number;
};
export type PreviewSize = {
    size: number | 'auto';
    translation: Translation;
};
export type PreviewSizeCtx = {
    size: PreviewSize;
    setSize: (cb: (oldSize: PreviewSize) => PreviewSize) => void;
};
export declare const PreviewSizeContext: React.Context<PreviewSizeCtx>;
export declare const calculateScale: ({ canvasSize, compositionHeight, compositionWidth, previewSize, }: {
    previewSize: PreviewSize["size"];
    compositionWidth: number;
    compositionHeight: number;
    canvasSize: {
        width: number;
        height: number;
    };
}) => number;
/**
 * Gets the current scale of the container in which the component is being rendered.
 * Only works in the Remotion Studio and in the Remotion Player.
 */
export declare const useCurrentScale: (options?: Options) => number;
export {};
