import React from 'react';
import type { RemotionMainVideoProps } from './props';
/**
 * @description allows you to include a video file in your Remotion project. It wraps the native HTMLVideoElement.
 * @see [Documentation](https://www.remotion.dev/docs/video)
 */
export declare const Video: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.VideoHTMLAttributes<HTMLVideoElement>, HTMLVideoElement>, "nonce" | "onError" | "onEnded" | "autoPlay" | "controls" | "disableRemotePlayback"> & {
    name?: string;
    volume?: import("../volume-prop.js").VolumeProp;
    playbackRate?: number;
    acceptableTimeShiftInSeconds?: number;
    allowAmplificationDuringRender?: boolean;
    toneFrequency?: number;
    pauseWhenBuffering?: boolean;
    showInTimeline?: boolean;
    delayRenderTimeoutInMilliseconds?: number;
    loopVolumeCurveBehavior?: import("../audio/use-audio-frame.js").LoopVolumeCurveBehavior;
    delayRenderRetries?: number;
    onError?: (err: Error) => void;
    onAutoPlayError?: () => void;
} & RemotionMainVideoProps & {
    /**
     * @deprecated For internal use only
     */
    readonly stack?: string;
}, "ref"> & React.RefAttributes<HTMLVideoElement>>;
